## sphinxcontrib-spelling 1.2

=== debian/changelog ===
sphinxcontrib-spelling (1.2-1) unstable; urgency=low

  * Initial release (Closes: #628649)

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 16 Sep 2011 15:14:14 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYTHONWARNINGS=d

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# python-support creates __init__.py in postinst so .pth file that
	# contains some magic to make namespace packages work even though
	# there's no __init__.p can be removed.
	find debian/python-sphinxcontrib.spelling -type f -name "*.pth" -delete

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e; \
	for python in $(shell pyversions -r); do \
		$$python /usr/bin/nosetests; \
	done
endif

## sphinxcontrib-spelling 2.1.2

=== requirements.txt ===
Sphinx>=0.6
six
# FIXME: I would love to have a proper depdency on PyEnchant
# listed, but since it can't actually be installed from source
# anywhere other than Linux (maybe not even there) we all
# lose. Install the binaries.
#
#PyEnchant>=1.6.5

## sphinxcontrib-spelling 1.3

=== debian/changelog ===
sphinxcontrib-spelling (1.3-1) unstable; urgency=low

  * New upstream release
  * debian/clean
    - Added to clean .egg-info directory
  * debian/copyright
    - Updated copyright years
  * debian/rules
    - Added work-around for #645125

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 31 Jan 2012 23:43:05 +0100

=== debian/control ===
Source: sphinxcontrib-spelling
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 7.0.50~),
 myspell-en-us,
 python-all,
 python-docutils,
 python-enchant,
 python-nose,
 python-setuptools (>= 0.6b3),
 python-sphinx (>= 1.0.7+dfsg),
 python-support
Standards-Version: 3.9.2
Homepage: http://bitbucket.org/birkenfeld/sphinx-contrib
Vcs-Svn: svn://svn.debian.org/python-modules/packages/sphinxcontrib-spelling/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sphinxcontrib-spelling/trunk/

Package: python-sphinxcontrib.spelling
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-docutils,
 python-enchant,
 python-sphinx
Description: Sphinx "spelling" extension
 This package contains the spelling extension for the Sphinx documentation
 system.
 The extension enables a spelling checker which uses PyEnchant to produce a
 report showing misspelled words.
 .
 The extension also:
  - Supports multiple source languages using the standard enchant
    dictionaries.
  - Supports project-specific dictionaries for localized jargon and other
    terminology that may not appear in the global dictionaries.
  - Suggests alternatives to words not found in the dictionary, when
    possible.

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,10 @@
 	dh_auto_install
 	# python-support creates __init__.py in postinst so .pth file that
 	# contains some magic to make namespace packages work even though
-	# there's no __init__.p can be removed.
+	# there's no __init__.py can be removed.
 	find debian/python-sphinxcontrib.spelling -type f -name "*.pth" -delete
+	# work-around for #645125
+	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/python-sphinxcontrib.spelling/usr/lib/python2.*/*-packages/*.egg-info/PKG-INFO
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)

## sphinxcontrib-spelling 1.4

=== debian/changelog ===
sphinxcontrib-spelling (1.4-1) unstable; urgency=low

  * New upstream release
  * Added autopkgtests
  * debian/control
    - Fixed lintian vcs-field-not-canonical
    - Updated Homepage field
    - Bumped Standards-Version to 3.9.4
      - Bumped debhelper dependency to 8.1 for build-{arch,indep} support
  * debian/copyright
    - Updated copyright years
    - Updated Format URL to latest version
    - Properly formatting License field: see #700970 for details
  * debian/rules
    - Removed work-around for #645125 since it's fixed

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 07 May 2013 22:45:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 8.1),
  myspell-en-us,
  python-all,
  python-docutils,
@@ -13,10 +13,11 @@
  python-setuptools (>= 0.6b3),
  python-sphinx (>= 1.0.7+dfsg),
  python-support
-Standards-Version: 3.9.2
-Homepage: http://bitbucket.org/birkenfeld/sphinx-contrib
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/sphinxcontrib-spelling/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sphinxcontrib-spelling/trunk/
+Standards-Version: 3.9.4
+Homepage: http://bitbucket.org/dhellmann/sphinxcontrib-spelling
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sphinxcontrib-spelling/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sphinxcontrib-spelling/trunk/
+XS-Testsuite: autopkgtest
 
 Package: python-sphinxcontrib.spelling
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,6 @@
 	# contains some magic to make namespace packages work even though
 	# there's no __init__.py can be removed.
 	find debian/python-sphinxcontrib.spelling -type f -name "*.pth" -delete
-	# work-around for #645125
-	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/python-sphinxcontrib.spelling/usr/lib/python2.*/*-packages/*.egg-info/PKG-INFO
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)

=== debian/tests/control ===
Tests: unittests
Depends: @, myspell-en-us, python-all, python-nose, python-sphinx

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/sphinxcontrib-spelling/sphinxcontrib-spelling-(.*)\.tar\.gz

## sphinxcontrib-spelling 2.1.1

=== debian/changelog ===
sphinxcontrib-spelling (2.1.1-1ubuntu1) utopic; urgency=medium

  * Add python-six and python3-six to Build-Depends (needed by the test
    suite).

 -- Michael Bienia <geser@ubuntu.com>  Sun, 31 Aug 2014 11:17:14 +0200

sphinxcontrib-spelling (2.1.1-1) unstable; urgency=medium

  * New upstream release
    - Fix unicode handling in builtins filter (Closes: #720341)
  * Switched to pybuild (Closes: #745382)
  * Added Python3 package
  * Added python-sphinxcontrib.spelling-doc package
  * debian/compat
    - Bumped debhelper compatibility level to 9
  * debian/control
    - Added dh-python and python-pbr to Build-Depends
    - Bumped python-all to (>= 2.6.6-3)
    - Bumped debhelper B-D to (>= 9)
    - Bumped Standards-Version to 3.9.5 (no changes needed)
    - Added stanza for python-sphinxcontrib.spelling.doc package
    - Added stanza for python3-sphinxcontrib.spelling package
    - Added python3-{all,docutils,enchant,nose,pbr,setuptools,sphinx} to B-D
    - Added X-Python{,3}-Version option
  * debian/copyright
    - Updated copyright years
  * debian/python-sphinxcontrib.spelling.docs
    - Renamed from debian/docs
  * debian/python-sphinxcontrib.spelling-doc.doc-base
    - Added doc-base
  * debian/python-sphinxcontrib.spelling-doc.docs
    - Added
  * debian/python{,3}-sphinxcontrib.spelling.pyremove
    - Removed .pth since it is not needed
  * debian/rules
    - Built documentation using sphinx-build inside override_dh_auto_build
    - Cleaned build documentation inside override_dh_auto_clean
    - Switched to PYBUILD_TEST_NOSE=1 for tests
    - Added python3 to debhelper rule
  * debian/tests/control
    - Added stanza for Python3 testing
  * debian/tests/unittests{,3}
    - Updated tests path due to upstream change
    - Switched to -m nose instead of calling nosetests{2,3}
  * debian/tests/unittests3
    - Added
  * debian/upstream/signing-key.asc
    - Added upstream key
  * debian/watch
    - Switched download URL to HTTPS
    - Added pgpsigurlmangle option

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 22 Jul 2014 23:55:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,32 @@
 Source: sphinxcontrib-spelling
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Daniele Tricoli <eriol@mornie.org>
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 8.1),
+ debhelper (>= 9),
+ dh-python,
  myspell-en-us,
- python-all,
+ python-all (>= 2.6.6-3),
  python-docutils,
  python-enchant,
  python-nose,
+ python-pbr,
  python-setuptools (>= 0.6b3),
+ python-six,
  python-sphinx (>= 1.0.7+dfsg),
- python-support
-Standards-Version: 3.9.4
+ python3-all,
+ python3-docutils,
+ python3-enchant,
+ python3-nose,
+ python3-pbr,
+ python3-setuptools,
+ python3-six,
+ python3-sphinx,
+Standards-Version: 3.9.5
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
 Homepage: http://bitbucket.org/dhellmann/sphinxcontrib-spelling
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sphinxcontrib-spelling/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sphinxcontrib-spelling/trunk/
@@ -40,3 +53,49 @@
     terminology that may not appear in the global dictionaries.
   - Suggests alternatives to words not found in the dictionary, when
     possible.
+
+Package: python3-sphinxcontrib.spelling
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ python3-docutils,
+ python3-enchant,
+ python3-sphinx
+Description: Sphinx "spelling" extension (Python 3)
+ This package contains the spelling extension for the Sphinx documentation
+ system.
+ The extension enables a spelling checker which uses PyEnchant to produce a
+ report showing misspelled words.
+ .
+ The extension also:
+  - Supports multiple source languages using the standard enchant
+    dictionaries.
+  - Supports project-specific dictionaries for localized jargon and other
+    terminology that may not appear in the global dictionaries.
+  - Suggests alternatives to words not found in the dictionary, when
+    possible.
+ .
+ This package contains the Python 3 version of the extension.
+
+Package: python-sphinxcontrib.spelling-doc
+Architecture: all
+Section: doc
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Description: Sphinx "spelling" extension (documentation)
+ This package contains the spelling extension for the Sphinx documentation
+ system.
+ The extension enables a spelling checker which uses PyEnchant to produce a
+ report showing misspelled words.
+ .
+ The extension also:
+  - Supports multiple source languages using the standard enchant
+    dictionaries.
+  - Supports project-specific dictionaries for localized jargon and other
+    terminology that may not appear in the global dictionaries.
+  - Suggests alternatives to words not found in the dictionary, when
+    possible.
+ .
+ This package contains the HTML documentation.

=== debian/tests/control ===
Tests: unittests
Depends: @, myspell-en-us, python-all, python-nose, python-sphinx

Tests: unittests3
Depends: @, myspell-en-us, python3-all, python3-nose, python3-sphinx

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.python.org/packages/source/s/sphinxcontrib-spelling/sphinxcontrib-spelling-(.*)\.tar\.gz

## sphinxcontrib-spelling 2.1.2

=== debian/changelog ===
sphinxcontrib-spelling (2.1.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/control
    - Replace Build-Depends myspell-en-us with hunspell-en-us
      (Closes: #803662)
    - Bump Standards-Version to 3.9.5 (no changes needed)
    - Add python-six and python3-six to Build-Depends. Thanks to Michael
      Bienia who fixed this in 2.1.1-1ubuntu1.
  * debian/watch
    - Update to use pypi.debian.net

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 04 Nov 2015 20:28:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: sphinxcontrib-spelling
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Daniele Tricoli <eriol@mornie.org>
 Section: python
 Priority: optional
 Build-Depends:
  debhelper (>= 9),
  dh-python,
- myspell-en-us,
+ hunspell-en-us,
  python-all (>= 2.6.6-3),
  python-docutils,
  python-enchant,
@@ -24,12 +23,12 @@
  python3-setuptools,
  python3-six,
  python3-sphinx,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 Homepage: http://bitbucket.org/dhellmann/sphinxcontrib-spelling
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sphinxcontrib-spelling/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sphinxcontrib-spelling/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/sphinxcontrib-spelling.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinxcontrib-spelling.git
 XS-Testsuite: autopkgtest
 
 Package: python-sphinxcontrib.spelling

=== debian/rules ===
#!/usr/bin/make -f

export PYTHONWARNINGS=d
export PYBUILD_NAME=sphinxcontrib.spelling
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/_build

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs/source docs/_build/html

=== debian/tests/control ===
Tests: unittests
Depends: @, hunspell-en-us, python-all, python-nose, python-sphinx

Tests: unittests3
Depends: @, hunspell-en-us, python3-all, python3-nose, python3-sphinx

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/sphinxcontrib-spelling/sphinxcontrib-spelling-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sphinxcontrib-spelling 2.2.0

=== debian/changelog ===
sphinxcontrib-spelling (2.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)

  [ Daniele Tricoli ]
  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.9.8 (no changes needed).
    - Remove XS-Testsuite: autopkgtest since from dpkg 1.17.11 the field is
      automatically added by dpkg-source.

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 18 Sep 2016 20:36:14 +0200

=== debian/control ===
--- 
+++ 
@@ -23,13 +23,12 @@
  python3-setuptools,
  python3-six,
  python3-sphinx,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Homepage: http://bitbucket.org/dhellmann/sphinxcontrib-spelling
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/sphinxcontrib-spelling.git
+Homepage: https://bitbucket.org/dhellmann/sphinxcontrib-spelling
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinxcontrib-spelling.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinxcontrib-spelling.git
-XS-Testsuite: autopkgtest
 
 Package: python-sphinxcontrib.spelling
 Architecture: all

## sphinxcontrib-spelling 2.3.0

=== debian/changelog ===
sphinxcontrib-spelling (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/{,tests/}control
    - Add hunspell-de-de since it's needed by tests.

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 08 Dec 2016 23:55:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-python,
+ hunspell-de-de,
  hunspell-en-us,
  python-all (>= 2.6.6-3),
  python-docutils,

=== debian/tests/control ===
Tests: unittests
Depends: @, hunspell-de-de, hunspell-en-us, python-all, python-nose, python-sphinx

Tests: unittests3
Depends: @, hunspell-de-de, hunspell-en-us, python3-all, python3-nose, python3-sphinx

## sphinxcontrib-spelling 4.0.1

=== debian/changelog ===
sphinxcontrib-spelling (4.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniele Tricoli ]
  * New upstream release.
  - debian/clean
    - Add entry to clean docs/build/.
  - debian/compat
    - Bump compat level to 11.
  * debian/control
    - Add python{,3}-fixtures to Build-Depends.
    - Bump X-Python3-Version to >= 3.5.
    - Bump debhelper to >= 11 in Build-Depends.
    - Update Homepage field.
    - Bump Standards-Version to 4.1.3 (no changes needed).
  * debian/copyright
    - Use secure URI in Format field.
    - Update copyright years.
    - Use secure URI in Source field.
  * debian/rules
    - Use override_dh_sphinxdoc to build docs.
    - Include /usr/share/dpkg/pkg-info.mk.
    - Drop override_dh_auto_clean: debian/clean is used instead.
  * debian/tests/control
    - Add python{,3}-fixtures to Depends.

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 15 Feb 2018 01:59:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  hunspell-de-de,
  hunspell-en-us,
  python-all (>= 2.6.6-3),
  python-docutils,
  python-enchant,
+ python-fixtures,
  python-nose,
  python-pbr,
  python-setuptools (>= 0.6b3),
@@ -19,17 +20,18 @@
  python3-all,
  python3-docutils,
  python3-enchant,
+ python3-fixtures,
  python3-nose,
  python3-pbr,
  python3-setuptools,
  python3-six,
  python3-sphinx,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
-Homepage: https://bitbucket.org/dhellmann/sphinxcontrib-spelling
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinxcontrib-spelling.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinxcontrib-spelling.git
+X-Python3-Version: >= 3.5
+Homepage: https://github.com/sphinx-contrib/spelling
+Vcs-Git: https://salsa.debian.org/python-team/modules/sphinxcontrib-spelling.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinxcontrib-spelling
 
 Package: python-sphinxcontrib.spelling
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYTHONWARNINGS=d
export PYBUILD_NAME=sphinxcontrib.spelling
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html docs/source \
		debian/python-sphinxcontrib.spelling-doc/usr/share/doc/python-sphinxcontrib.spelling-doc/html/
	dh_sphinxdoc
endif

=== debian/tests/control ===
Tests: unittests
Depends: @, hunspell-de-de, hunspell-en-us, python-all, python-fixtures, python-nose, python-sphinx

Tests: unittests3
Depends: @, hunspell-de-de, hunspell-en-us, python3-all, python3-fixtures, python3-nose, python3-sphinx

## sphinxcontrib-spelling 4.2.0

=== requirements.txt ===
PyEnchant>=1.6.5
Sphinx>=0.6
six

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sphinxcontribspelling.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sphinxcontribspelling.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sphinxcontribspelling"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sphinxcontribspelling"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
sphinxcontrib-spelling (4.2.0-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * d/control: Remove ancient X-Python3-Version field.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Fri, 02 Aug 2019 08:59:03 +0200

sphinxcontrib-spelling (4.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Daniele Tricoli ]
  * New upstream release.
  * debian/control
    - Update to use my debian.org mail address.
    - Bump Standards-Version to 4.3.0 (no changes needed).
  * debian/copyright
    - Update to use my debian.org mail address.
  * debian/upstream/signing-key.asc
    - Fix public-upstream-key-not-minimal lintian tag.

 -- Daniele Tricoli <eriol@debian.org>  Mon, 31 Dec 2018 02:08:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,13 @@
 Source: sphinxcontrib-spelling
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Daniele Tricoli <eriol@mornie.org>
+Uploaders: Daniele Tricoli <eriol@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
  hunspell-de-de,
  hunspell-en-us,
- python-all (>= 2.6.6-3),
- python-docutils,
- python-enchant,
- python-fixtures,
- python-nose,
- python-pbr,
- python-setuptools (>= 0.6b3),
- python-six,
- python-sphinx (>= 1.0.7+dfsg),
  python3-all,
  python3-docutils,
  python3-enchant,
@@ -26,34 +17,10 @@
  python3-setuptools,
  python3-six,
  python3-sphinx,
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.5
+Standards-Version: 4.4.0
 Homepage: https://github.com/sphinx-contrib/spelling
 Vcs-Git: https://salsa.debian.org/python-team/modules/sphinxcontrib-spelling.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinxcontrib-spelling
-
-Package: python-sphinxcontrib.spelling
-Architecture: all
-Depends:
- ${misc:Depends},
- ${python:Depends},
- python-docutils,
- python-enchant,
- python-sphinx
-Description: Sphinx "spelling" extension
- This package contains the spelling extension for the Sphinx documentation
- system.
- The extension enables a spelling checker which uses PyEnchant to produce a
- report showing misspelled words.
- .
- The extension also:
-  - Supports multiple source languages using the standard enchant
-    dictionaries.
-  - Supports project-specific dictionaries for localized jargon and other
-    terminology that may not appear in the global dictionaries.
-  - Suggests alternatives to words not found in the dictionary, when
-    possible.
 
 Package: python3-sphinxcontrib.spelling
 Architecture: all

=== debian/tests/control ===
Tests: unittests3
Depends: @, hunspell-de-de, hunspell-en-us, python3-all, python3-fixtures, python3-nose, python3-sphinx

## sphinxcontrib-spelling 4.3.0

=== requirements.txt ===
PyEnchant>=1.6.5
Sphinx>=2.0.0
six

=== debian/changelog ===
sphinxcontrib-spelling (4.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Daniele Tricoli ]
  * New upstream version 4.3.0. (Closes: #955112)
  * debian/control
    - Bump Standards-Version to 4.5.0 (no changes needed).
    - Set Rules-Requires-Root to no
  * debian/copyright
    - Update copyright years.
    - Update Source upstream URL.
  * debian/watch
    - Update name of upstream source tarball.

 -- Daniele Tricoli <eriol@debian.org>  Tue, 31 Mar 2020 04:30:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
  hunspell-de-de,
  hunspell-en-us,
@@ -17,7 +17,8 @@
  python3-setuptools,
  python3-six,
  python3-sphinx,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/sphinx-contrib/spelling
 Vcs-Git: https://salsa.debian.org/python-team/modules/sphinxcontrib-spelling.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinxcontrib-spelling

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYTHONWARNINGS=d
export PYBUILD_NAME=sphinxcontrib.spelling
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs/source \
		debian/python-sphinxcontrib.spelling-doc/usr/share/doc/python-sphinxcontrib.spelling-doc/html/
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/sphinxcontrib.spelling/sphinxcontrib.spelling-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sphinxcontrib-spelling 7.2.1

=== Makefile ===
# Default target is to show help
help:
	@echo "sdist          - Source distribution"
	@echo "html           - HTML documentation"
	@echo "spelling       - Check spelling of documentation"
	@echo "upload         - upload a new release to PyPI"
	@echo "installwebsite - deploy web version of docs"
	@echo "develop        - install development version"
	@echo "test           - run the test suite"


.PHONY: sdist
sdist: html
	python setup.py sdist

.PHONY: upload
upload: html
	python setup.py sdist upload

# Documentation
.PHONY: html
html:
	(cd docs && $(MAKE) html)

.PHONY: spelling
spelling:
	(cd docs && $(MAKE) spelling)

installwebsite: html
	(cd docs/build/html && rsync --rsh=ssh --archive --delete --verbose . www.doughellmann.com:/var/www/doughellmann/DocumentRoot/docs/sphinxcontrib.spelling/)

# Register the new version on pypi
.PHONY: register
register:
	python setup.py register

# Testing
.PHONY: test
test:
	tox

develop:
	python setup.py develop

=== debian/changelog ===
sphinxcontrib-spelling (7.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-sphinxcontrib.spelling-doc: Add Multi-Arch: foreign.

  [ Daniele Tricoli ]
  * New upstream version 7.2.1.
  * Swith to pytest for testing.
  * Run wrap-and-sort -s.
  * Remove upstream signing key since upstream doesn't sign the package
    anymore.
  * debian/control
    - Bump Standards-Version to 4.6.0, no changes needed.
    - Remove python3-six from Build-Depends.
    - Bump debhelper compat version to 13.
    - Remove the no more used python3-fixtures from Build-Depends.
    - Add python3-importlib-metadata to Build-Depends and Depends.
  * debian/copyright
    - Update copyright years.
  * debian/rules
    - Ignore tests that need the package to be installed.
    - Ignore test_contributors since it needs the git repository of the
      project: it uses git log to take contributors.
    - Export PYENCHANT_VERBOSE_FIND.
  * debian/salsa-ci.yml
    - Enable salsa pipelines.
    - Disable reprotest variation kernel because it make tests fails during
      second run.
  * debian/tests/control
    - Add git since it is used by a filter.
  * debian/watch
    - Fix URL and bump version to 4.

 -- Daniele Tricoli <eriol@debian.org>  Wed, 01 Sep 2021 18:31:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,36 @@
 Source: sphinxcontrib-spelling
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniele Tricoli <eriol@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  hunspell-de-de,
  hunspell-en-us,
  python3-all,
  python3-docutils,
  python3-enchant,
- python3-fixtures,
- python3-nose,
+ python3-importlib-metadata,
  python3-pbr,
+ python3-pytest,
  python3-setuptools,
- python3-six,
- python3-sphinx,
-Standards-Version: 4.5.0
+ python3-sphinx
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/sphinx-contrib/spelling
-Vcs-Git: https://salsa.debian.org/python-team/modules/sphinxcontrib-spelling.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinxcontrib-spelling
+Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-spelling.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxcontrib-spelling
 
 Package: python3-sphinxcontrib.spelling
 Architecture: all
 Depends:
- ${misc:Depends},
- ${python3:Depends},
  python3-docutils,
  python3-enchant,
- python3-sphinx
+ python3-importlib-metadata,
+ python3-sphinx,
+ ${misc:Depends},
+ ${python3:Depends}
 Description: Sphinx "spelling" extension (Python 3)
  This package contains the spelling extension for the Sphinx documentation
  system.
@@ -50,9 +50,8 @@
 Package: python-sphinxcontrib.spelling-doc
 Architecture: all
 Section: doc
-Depends:
- ${misc:Depends},
- ${sphinxdoc:Depends},
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Sphinx "spelling" extension (documentation)
  This package contains the spelling extension for the Sphinx documentation
  system.

=== debian/tests/control ===
Tests: unittests3
Depends:
 git,
 hunspell-de-de,
 hunspell-en-us,
 python3-all,
 python3-fixtures,
 python3-pytest,
 python3-sphinx,
 @

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sphinxcontrib-spelling/sphinxcontrib-spelling-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sphinxcontrib-spelling 7.3.2

=== debian/changelog ===
sphinxcontrib-spelling (7.3.2-1) unstable; urgency=medium

  * New upstream version 7.3.2
  * debian/copyright
    - Update copyright years.

 -- Daniele Tricoli <eriol@debian.org>  Wed, 13 Apr 2022 01:42:45 +0200

## sphinxcontrib-spelling 7.5.1

=== debian/changelog ===
sphinxcontrib-spelling (7.5.1-1) unstable; urgency=medium

  * New upstream version 7.5.1
  * debian/control
    - Bump Standards-Version to 4.6.1, no changes needed.

 -- Daniele Tricoli <eriol@debian.org>  Thu, 23 Jun 2022 20:50:26 +0200

## sphinxcontrib-spelling 7.6.2

=== debian/changelog ===
sphinxcontrib-spelling (7.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.6.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 29 Oct 2022 19:48:06 +0300

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pytest,
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/sphinx-contrib/spelling
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-spelling.git

## sphinxcontrib-spelling 7.7.0

=== requirements.txt ===
PyEnchant>=3.1.1
Sphinx>=3.0.0
importlib_metadata>=1.7.0;python_version<'3.8'

=== docs/requirements.txt ===
# This file is only needed for readthedocs.org
.[docs]

=== debian/changelog ===
sphinxcontrib-spelling (7.7.0-2) unstable; urgency=medium

  * Team upload.
  * Drop dependency on python3-importlib-metadata
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 May 2025 15:20:26 +0200

sphinxcontrib-spelling (7.7.0-1) unstable; urgency=medium

  * New upstream version 7.7.0
  * debian/control
    - Bump Standards-Version to 4.6.2, no changes needed.
  * debian/copyright
    - Update copyright years.

 -- Daniele Tricoli <eriol@debian.org>  Thu, 12 Jan 2023 00:16:51 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,17 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  hunspell-de-de,
  hunspell-en-us,
  python3-all,
  python3-docutils,
  python3-enchant,
- python3-importlib-metadata,
  python3-pbr,
  python3-pytest,
  python3-setuptools,
- python3-sphinx
-Standards-Version: 4.6.1
+ python3-sphinx,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/sphinx-contrib/spelling
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-spelling.git
@@ -27,10 +26,9 @@
 Depends:
  python3-docutils,
  python3-enchant,
- python3-importlib-metadata,
  python3-sphinx,
  ${misc:Depends},
- ${python3:Depends}
+ ${python3:Depends},
 Description: Sphinx "spelling" extension (Python 3)
  This package contains the spelling extension for the Sphinx documentation
  system.

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,14 @@
 
 export PYTHONWARNINGS=d
 export PYBUILD_NAME=sphinxcontrib.spelling
-export PYBUILD_TEST_NOSE=1
+# test_contributors is meant to run on the repository (it get contributors
+# using `git log` and test_builder.py need the package to be installed.
+export export PYBUILD_TEST_ARGS = -v -k 'not test_contributors' \
+	--ignore tests/test_builder.py
+export PYENCHANT_VERBOSE_FIND=1
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
